%global momorel 2

Name:		irrlicht
Summary: 	A high performance realtime 3D engine
Version:	1.7.1
Release:	%{momorel}m%{?dist}
License:	"zlib"
Group:		System Environment/Libraries
Source0:	http://downloads.sourceforge.net/irrlicht/%{name}-%{version}.zip
NoSource:	0
# Various fixes, optflags, system libraries/headers
# Don't call ldconfig during make install.
# http://irrlicht.sourceforge.net/phpBB2/viewtopic.php?t=24076&highlight=
Patch0:		irrlicht-1.7.1-optflags.patch
# Get the code compiling
Patch1:		irrlicht-1.5.1-glext.patch
URL:		http://irrlicht.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libXxf86vm-devel, mesa-libGL-devel, mesa-libGLU-devel
BuildRequires: libjpeg-devel >= 7, zlib-devel
# XXX: is libpng broken?
BuildRequires: libpng-devel

Requires: libXext-devel
# for compile irrlicht Demo files
# this is optional
Obsoletes: irrlicht-libs irrlicht-doc

%description
The Irrlicht Engine is an open source high performance realtime 3D engine 
written and usable in C++ and also available for .NET languages. It is 
completely cross-platform, using D3D, OpenGL and its own software renderer, 
and has all of the state-of-the-art features which can be found in 
commercial 3d engines.

%package devel
Summary:	Development headers and libraries for irrlicht
Requires:	%{name} = %{version}-%{release}
Requires:	mesa-libGL-devel, mesa-libGLU-devel, libXxf86vm-devel
Requires:	libjpeg-devel, zlib-devel, libpng-devel
Group:		Development/Libraries

%description devel
Development headers and libraries for irrlicht.

%prep
%setup -q
%patch0 -p1
#%%patch1 -p1 -b .glext
sed -i 's/\r//' readme.txt
iconv -o readme.txt.iso88591 -f iso88591 -t utf8 readme.txt
mv readme.txt.iso88591 readme.txt
# We don't use any of this. Deleting it so the debuginfo doesn't pick it up.
rm -rf source/Irrlicht/jpeglib source/Irrlicht/zlib source/Irrlicht/libpng

for i in include/*.h doc/upgrade-guide.txt source/Irrlicht/*.cpp source/Irrlicht/*.h; do
  	sed -i 's/\r//' $i
	chmod -x $i
	touch -r changes.txt $i
done

%build
cd source/Irrlicht
make %{?_smp_mflags} sharedlib

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}/%{name}
make -C source/Irrlicht INSTALL_DIR=%{buildroot}%{_libdir} install 
cp -a include/* %{buildroot}%{_includedir}/%{name}/
cd %{buildroot}%{_libdir}
ln -s libIrrlicht.so.%{version} libIrrlicht.so.1

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc readme.txt
%{_libdir}/libIrrlicht*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/upgrade-guide.txt
%{_includedir}/%{name}/
%{_libdir}/libIrrlicht*.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.1-2m)
- full rebuild for mo7 release

* Thu Feb 25 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.1-1m)
- update to 1.7.1
- update Patch0
- comment out Patch1

* Sun Nov 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Sep 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.1-1m)
- update to 1.5.1

* Mon Sep 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5-5m)
- rebuild against libjpeg-7

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5-4m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-3m)
- move to T4R to trunk
- import Fedora patches
- add Obsoletes: irrlicht-libs irrlicht-doc

* Sat Jan 10 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-2
- fix libpng calls so we can use system libpng (thanks to tom lane)
- fix license tag

* Fri Jan  9 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-2m)
- delete unneed BuildRequires

* Fri Jan  9 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-1m)
- [SECURITY] CVE-2008-5876
- update to 1.5
- fix BuildRequires
- add Patch0: irrlicht-1.5-fPIC.patch

* Thu Jan 8 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-1
- build against system libpng
- update to 1.5 final

* Wed Dec 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2-2m)
- fix files section glob

* Thu Dec 4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-0.2.beta
- fix optflags patch so that ldconfig isn't called during make install

* Wed Dec 3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-0.1.beta
- Initial package for Fedora
